/* Глобальный сброс */
* {
    box-sizing: border-box; /* Чтобы отступы не распирали блоки */
}

html, body {
    margin: 0;
    padding: 0;
    background-color: #000000;
    font-family: sans-serif;
    color: #ffffff;
    overflow: hidden;
    width: 100%;
}

/* Контейнер для контента */
.main-content {
    margin-top: 60px;
    margin-left: 60px;
    height: calc(100vh - 60px);
    position: relative;
    overflow: hidden;
    /* Создаем сетку, где все дочерние элементы накладываются друг на друга */
    display: grid;
    grid-template-areas: "stack";
}

.view {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    /* Запрещаем элементу менять размеры или положение, когда он не активен */
    pointer-events: none;
    transform: scale(0.98);

}

.view.active {
    position: relative; /* Или absolute, если Grid/Flex настроен в родителе */
    opacity: 1;
    visibility: visible;
    pointer-events: all;
    transform: scale(1);
    transition: opacity 0.5s ease, transform 0.5s ease, visibility 0s 0s;
}

/* Эффект затемнения фона в режиме логина */
body.login-mode .sidebar,
body.login-mode .main-header {
    filter: brightness(0.3);
    pointer-events: none;
    transition: filter 0.5s ease;
}

body.login-mode .logo {
    pointer-events: auto;
    filter: brightness(3);
}

.sidebar, .main-header {
    transition: filter 0.5s ease;
}